﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TextMarksV2APIClient_DotNet
{
    /**
 
* Exception superclass used by TextMarksAPIClient.
 */

    public class TextMarksV2APIClientException : Exception
    {
        private const int ERROR_UNKNOWN = -1;

        public TextMarksV2APIClientException(string sMsg)
            : base(sMsg)
        {
        }

        public TextMarksV2APIClientException(string sMsg, Exception cause)
            : base(sMsg, cause)
        {         
        }

        public TextMarksV2APIClientException(string sMsg, int iCode)
            : base(sMsg)
        {           
            _iCode = iCode;
        }

        public TextMarksV2APIClientException(string sMsg, int iCode, Exception cause) : base(sMsg, cause)
        {
            _iCode = iCode;
        }

        // -----------------------------------------------------------------------

        /** Get numeric error code. */
        public int GetCode() { return _iCode; }

        // -----------------------------------------------------------------------

        /** Numeric error code. */
        protected int _iCode = ERROR_UNKNOWN;
    }
}
